<?php
/**
 * The Header Theme
 * @package Oprum
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />

	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
<div id="wrap-header" class="wrap hfeed site">
	<?php do_action( 'before' ); ?>
<?php
	$home_image = get_header_image();
	$logo = get_theme_mod( 'logo_upload' );
?>

<header id="masthead" class="site-header" role="banner">
	<div class="site-branding clearfix"<?php if( !empty($home_image) ) { ?> style="background: url(<?php echo esc_url( $home_image );?>) no-repeat 50% 0;"<?php } ?>>

	<div id="logo">
<?php if ( !is_front_page() ) :

	if ( !empty($logo) ) : ?>

		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
		<img src="<?php echo esc_url( get_theme_mod( 'logo_upload' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>" class="logo-img" />
		</a>
<?php
	endif; //!empty ?>

<?php
	if ( get_theme_mod( 'display_header_text' ) !== '' ) { ?>
		<div class="title-group">
			<h1 class="site-title">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<?php bloginfo( 'name' ); ?>
				</a>
			</h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
		</div>
<?php
	} ?>

<?php else : // !is_front_page() ?>

	<?php if ( !empty($logo) ) : ?>
		<img src="<?php echo esc_url( get_theme_mod( 'logo_upload' ) ); ?>" alt="<?php bloginfo( 'name' ); ?>" class="logo-img" />
	<?php endif; ?>
<?php
	if ( get_theme_mod( 'display_header_text' ) !== '' ) { ?>
		<div class="title-group">
			<h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
		</div>
<?php
	} ?>

<?php endif; // !is_front_page() ?>

	</div><!--#logo-->

</div><!--site-branding-->

<nav id="site-navigation" class="main-navigation" role="navigation">
	<h1 class="menu-toggle"><?php _e( 'Menu', 'oprum' ); ?></h1>			
<!-- navigation -->
<?php 
	if ( has_nav_menu('primary') ) {
		wp_nav_menu( array(
				'theme_location' => 'primary',
				'menu_class' => 'nav-menu',
				'container' => 'div',
				'container_class' => 'menu-main', )
		);
	}
?>
</nav><!-- #site-navigation -->

</header><!-- #masthead -->
</div><!-- #wrap-header -->

<div id="wrap-content" class="wrap">

<?php
	if ( is_home() ) { ?>

		<div id="blog-headline">
<?php
		$placement = get_theme_mod( 'oprum_blog_headline' );

		if ( !empty( $placement ) ) : ?>

			<div class="tagline-txt">
				<?php echo do_shortcode( get_theme_mod( 'oprum_blog_headline', '<h1>Blog Headline</h1>' ) ); ?>
			</div>

<?php
		endif; ?>
</div>
<?php
	} // is_home() ?>

	<div id="content" class="site-content">