<?php
/**
 * Theme Customizer Custom TextEditor Control
 * @package Oprum
 */

if ( class_exists( 'WP_Customize_Control' ) ) {
class DT_Editor_Custom_Control extends WP_Customize_Control
{
    public $type = 'wp_editor';
    public $mod;

    /**
     * Enqueue scripts/styles.
     */
    public function enqueue() {
        wp_enqueue_script( 'wp-color-picker' );
        wp_register_script( 'oprum-plugin-customizer', get_template_directory_uri() . '/js/customizer-plugin.js', array( 'customize-controls' ) );
        wp_register_style( 'oprum-editor-customizer',  get_template_directory_uri() . '/css/customizer-editor.css' );

        wp_enqueue_script( 'oprum-plugin-customizer' );
        wp_enqueue_style( 'oprum-editor-customizer' );


        if ( ! class_exists( '_WP_Editors' ) ) {
            require(ABSPATH . WPINC . '/class-wp-editor.php');
        }

        add_action( 'customize_controls_print_footer_scripts', array( __CLASS__, 'enqueue_editor' ),  2 );
        add_action( 'customize_controls_print_footer_scripts', array( '_WP_Editors', 'editor_js' ), 50 );
        add_action( 'customize_controls_print_footer_scripts', array( '_WP_Editors', 'enqueue_scripts' ), 1 );
    }

    public  static function enqueue_editor(){
        if( ! isset( $GLOBALS['__wp_mce_editor__'] ) || ! $GLOBALS['__wp_mce_editor__'] ) {
            $GLOBALS['__wp_mce_editor__'] = true;
            ?>
            <script id="_wp-mce-editor-tpl" type="text/html">
                <?php wp_editor('', '__wp_mce_editor__'); ?>
            </script>
            <?php
        }
    }
    public function render_content() {
        $this->mod = strtolower( $this->mod );
        if( ! $this->mod = 'html' ) {
            $this->mod = 'tmce';
        }
        ?>
        <div class="wp-js-editor">
            <label>
                <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
            </label>
            <textarea class="wp-js-editor-textarea large-text" data-editor-mod="<?php echo esc_attr( $this->mod ); ?>" cols="20" rows="5" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
            <p class="description"><?php echo $this->description ?></p>
        </div>
    <?php
    }
}
}