<?php
/**
 * Theme Customizer
 * @package Oprum
 */

function oprum_customizer( $wp_customize ) {

	/**
	 * Remove unnecessary controls.
	 */
	// $wp_customize->remove_section( 'colors');
	// $wp_customize->remove_control('blogdescription');
	// $wp_customize->remove_control('site_logo_header_text');

	/**
	 * Rename Sections Titles
	 */
	$wp_customize->get_section('colors')->title = esc_html__( 'Theme Colors', 'oprum' );

	/**
	 * Set transports for the Customizer.
	 */
	$wp_customize->get_setting( 'background_color' )->transport 	= 'postMessage';
	$wp_customize->get_setting( 'blogname' )->transport         	= 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  	= 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport 	= 'postMessage';

	/**
	 * Add custom controls.
	 */
	require get_template_directory() . '/inc/customizer-class/textarea.php';
	require get_template_directory() . '/inc/customizer-class/editor.php';
	require get_template_directory() . '/inc/customizer-class/category.php';

	/**
	 * Helper functions
	 */
	function is_frontpage_template(){
    			if ( is_page_template( 'template-frontpage.php' ) ){
        				return true;
    			} else {
        				return false;
    			}
	}
	function is_frontpage(){
    			if ( is_front_page() && is_page_template( 'template-frontpage.php' ) ){
        				return true;
    			} else {
        				return false;
    			}
	}
	function is_posts_page(){
    			if ( is_home() ){
        				return true;
    			} else {
        				return false;
    			}
	}
	function is_single_post(){
    			if ( is_singular( 'post' ) ){
        				return true;
    			} else {
        				return false;
    			}
	}
	function is_puper_plugin_active(){
    		// Check for the slider plugin class
    		if( !class_exists( 'PuperSuperPlugin' ) ){
    			// If it doesn't exist it won't show the section/panel/control
        			return false;
    		} else {
    			// If it does, we do show it
        			return true;
    		}
	}

	/**
	 * Top-Level Customizer sections and panels.
	 */
/* WIP	
	// Add the Theme Options top-level panel.
	$wp_customize->add_panel( 'oprum_theme_options', array(
		'title' 		=> esc_html__( 'Settings', 'oprum' ),
		'description' 	=> esc_html__( 'This panel.', 'oprum' ),
		'priority' 		=> 90,
	) );
*/
	/**
	 * Theme Customizer Sections.
	 * For more information on Theme Customizer settings and default sections:
	 *
 	 * @see https://codex.wordpress.org/Class_Reference/WP_Customize_Manager/add_section
	 */

	/**
	 * Add the blog section.
	 */
/* WIP
	$wp_customize->add_section( 'oprum_theme_options_blog', array(
		'title' 	=> esc_html__( 'Blog', 'oprum' ),
		'panel'       => 'oprum_theme_options',
	) );	

			// Add the dropcap setting and control.
			$wp_customize->add_setting( 'use_dropcap', array(
				'default'           	=> FALSE,
				'sanitize_callback' 	=> 'oprum_sanitize_checkbox',
			) );

			$wp_customize->add_control( 'use_dropcap', array(
				'type' 		=> 'checkbox',
				'label'       		=> esc_html__( 'Drop caps', 'oprum' ),
				'description' 	=> esc_html__( 'Enable drop caps on single post. ', 'oprum' ),
				'section' 		=> 'oprum_theme_options_blog',
			) );
*/


/* WIP
	$wp_customize->add_section(
		'body_section',
		array(
			'title' => esc_html__( 'Theme Colors', 'oprum' ),
			'capability' => 'edit_theme_options',
			'priority' => 30,
			'panel' => 'colors_panel'
		)
	);
*/
	
	// Add color settings
	$body_colors = array();
	$body_colors[] = array(
		'slug'=>'header_bgcolor', 
		'default' => '#E65656',
		'label' => esc_html__('Header Background Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'main_color', 
		'default' => '#2c2c2c',
		'label' => esc_html__('Main Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'heading_color', 
		'default' => '#2c2c2c',
		'label' => esc_html__('Heading Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'secondary_color', 
		'default' => '#444444',
		'label' => esc_html__('Secondary Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'additional_color', 
		'default' => '#aaaaaa',
		'label' => esc_html__('Additional Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'link_color', 
		'default' => '#3767c6',
		'label' => esc_html__('Link Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'link_hover_color',
		'default' => '#E65656',
		'label' => esc_html__('Link Hover Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'menu_color', 
		'default' => '#dddddd',
		'label' => esc_html__('Main Menu Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'menu_hover_color', 
		'default' => '#ffffff',
		'label' => esc_html__('Main Menu Hover', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'menubar_bgcolor', 
		'default' => '#2c2c2c',
		'label' => esc_html__('Menu Background color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'footer_bgcolor', 
		'default' => '#2c2c2c',
		'label' => esc_html__('Footer Background Color', 'oprum'),
		'transport' => 'refresh'
	);
	$body_colors[] = array(
		'slug'=>'footer_color', 
		'default' => '#cccccc',
		'label' => esc_html__('Footer Color', 'oprum'),
		'transport' => 'refresh'
	);

	foreach( $body_colors as $color ) {
		$wp_customize->add_setting(
			'oprum_' . $color['slug'], array(
				'default' => $color['default'],
				'type' => 'option', 
				//'capability' => 'edit_theme_options',
				'sanitize_callback' => 'sanitize_hex_color',
				'transport' => $color['transport']
			)
		);
		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				$color['slug'], 
				array(
					'label' => $color['label'], 
					'section' => 'colors', // 'body_section' - if separated section
					'settings' => 'oprum_' . $color['slug']
				)
			)
		);
	}


		/*-----------------------------------------------------------
		 * Blog Headline section
		 *-----------------------------------------------------------*/
		$wp_customize->add_section(
			'oprum_headline',
				array(
					'title'     => esc_html__( 'Posts Page Headline', 'oprum' ),
      					'description' => esc_html__( 'This only applies to posts index page.', 'oprum' ),
					'priority'  => 100,
					'active_callback' => 'is_posts_page',
				)
		);


	/* Posts Page Headline */

		$wp_customize->add_setting(
			'oprum_blog_headline',
				array(
					'default' => esc_html__( '<h1>Blog Headline</h1>', 'oprum' ),
					'sanitize_callback' => 'oprum_sanitize_textarea',
					'transport'   => 'refresh'
				)
		);
		$wp_customize->add_control(
				new Oprum_Textarea_Control(
					$wp_customize,
					'oprum_blog_headline',
					array(
						'label' => __( 'Posts Page Headline Text', 'oprum' ),
						'description'   => esc_html__('Allowed to use html tags and also you can paste shortcode.', 'oprum'),
						'section' => 'oprum_headline',
						//'priority' => 27,
						'type' => 'text',
				) ) );

	/*-----------------------------------------------------------*
	 * Front Page options
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'oprum_frontpage_options',
		array(
			'title'     => esc_html__( 'Front Page Options', 'oprum' ),
			//'priority'  => 300,
			'active_callback' => 'is_frontpage',
		)
	);

		$wp_customize->add_setting(
			'oprum_home_headline',
				array(
					'default' => esc_html__( '<h1>Front Page Headline</h1>', 'oprum' ),
					'sanitize_callback' => 'oprum_sanitize_textarea',
					'transport'   => 'postMessage'
				)
		);
		$wp_customize->add_control( new DT_Editor_Custom_Control(
				$wp_customize,
				'oprum_home_headline',
					array(
						'label' 		=> esc_html__('Headline', 'oprum'),
						'section' 		=> 'oprum_frontpage_options',
						'mod' 		=> 'html',
						'description'   	=> esc_html__('This only applies to front page by default template.', 'oprum'),
					)
		) );
    		$wp_customize->add_setting(
        			'home_headline_bgcolor',
        				array(
            					'default'     => '#f16272',
					'sanitize_callback' => 'sanitize_hex_color',
            					'transport'   => 'refresh'
        				)
    		);
    		$wp_customize->add_control(
        				new WP_Customize_Color_Control(
            					$wp_customize,
            					'home_headline_bgcolor',
            					array(
                					'label'      => __( 'Headline Background Color', 'oprum' ),
                					'section'    => 'oprum_frontpage_options',
                					'settings'   => 'home_headline_bgcolor'
            					)
        				)
    		);
		$wp_customize->add_setting(
			'home_headline_bgimg',
				array(
					'default'     => get_template_directory_uri().'/img/tagline.jpg',
					'sanitize_callback' => 'esc_url_raw'
				)
		);
		$wp_customize->add_control(
				new WP_Customize_Image_Control(
					$wp_customize,
					'home_headline_bgimg',
					array(
						'label' => __( 'Headline Background Image', 'oprum' ),
						'section' =>  'oprum_frontpage_options',
						'settings' => 'home_headline_bgimg'
		) ) );

	/* Subtitle Frontpage */

	$wp_customize->add_setting(
		'oprum_frontpage_subtitle',
		array(
			'default'            => esc_html__( 'Front Page Sub Title', 'oprum' ),
			'sanitize_callback'  => 'oprum_sanitize_txt',
			'transport'          => 'postMessage'
		)
	);
	$wp_customize->add_control(
		'oprum_frontpage_subtitle',
		array(
			'section'  => 'oprum_frontpage_options',
			'label'    => esc_html__( 'Front Subtitle', 'oprum' ),
			'type'     => 'text'
		)
	);

	$wp_customize->add_setting( 'featured_page', array(
		'default'           => '',
		'sanitize_callback' => 'oprum_sanitize_number_absint'
	) );

	$wp_customize->add_control( 'featured_page', array(
		'label'    => __( 'Featured Page', 'oprum' ),
		'section'  => 'oprum_frontpage_options',
		'type'     => 'dropdown-pages'
	) );

	/* Category */

	$wp_customize->add_setting( 'oprum_category_set', array(
            		'default'        => '0',
		'sanitize_callback'  => 'oprum_sanitize_number_absint',
		'transport'   => 'refresh'
        	) );
	$wp_customize->add_control(
    		new Oprum_Category_Control(
        				$wp_customize,
        				'oprum_category_set',
       				 array(
					'label'    => __( 'Recent Posts Category', 'oprum' ),
            					'settings' => 'oprum_category_set',
            					'section'  => 'oprum_frontpage_options'
        				)
    		)
	);
	$wp_customize->add_setting(
		'oprum_recentposts_title',
		array(
			'default'            => __( 'Recent Posts', 'oprum' ),
			'sanitize_callback'  => 'oprum_sanitize_txt',
			'transport'   => 'refresh'
		)
	);
	$wp_customize->add_control(
		'oprum_recentposts_title',
		array(
			'section'  => 'oprum_frontpage_options',
			'label'    => __( 'Recent Posts Title', 'oprum' ),
			'type'     => 'text'
		)
	);
	$wp_customize->add_setting(
		'number_homeposts',
		array(
			'default'            => '4',
			'sanitize_callback'  => 'oprum_sanitize_number_absint',
		)
	);
	$wp_customize->add_control(
		'number_homeposts',
		array(
			'section'  => 'oprum_frontpage_options',
			'label'    => __( 'Number Posts on Home', 'oprum' ),
			'type' => 'select',
			'choices' => array(
				'4' => 4,
				'8' => 8,
				'12' => 12
			)
		)
	);


	/*-----------------------------------------------------------*
	 * Post options
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'oprum_single_options',
		array(
			'title'     => esc_html__( 'Single Post Options', 'oprum' ),
			'priority'  => 300,
			'active_callback' => 'is_single_post',
		)
	);

	/* Header Image Single */

	$wp_customize->add_setting( 
		'oprum_header_single',
		array(
			'default' => FALSE,
			'sanitize_callback' => 'oprum_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'oprum_header_single',
		array(
			'section'   => 'oprum_single_options',
			'label'     => esc_html__( 'Hide Header Image', 'oprum' ),
			'description' => esc_html__( 'Display Featured Image before the content', 'oprum' ),
			'type'      => 'checkbox'
		)
	);

	/* Meta info on top single post */

	$wp_customize->add_setting( 
		'top_single_display',
		array(
			'default' => FALSE,
			'sanitize_callback' => 'oprum_sanitize_checkbox',
            			'transport'   => 'refresh'
		)
	);
	$wp_customize->add_control(
		'top_single_display',
		array(
			'section'   => 'oprum_single_options',
			'label'     => esc_html__( 'Hide author/date meta top', 'oprum' ),
			'type'      => 'checkbox'
		)
	);
	$wp_customize->add_setting( 
		'meta_single_display',
		array(
			'default' => FALSE,
			'sanitize_callback' => 'oprum_sanitize_checkbox',
            			'transport'   => 'refresh'
		)
	);
	$wp_customize->add_control(
		'meta_single_display',
		array(
			'section'   => 'oprum_single_options',
			'label'     => esc_html__( 'Hide author/date meta bottom', 'oprum' ),
			'description' => esc_html__( 'If checked hide author/date meta top', 'oprum' ),
			'type'      => 'checkbox'
		)
	);

	/*-----------------------------------------------------------*
	 * General Theme Options
	 *-----------------------------------------------------------*/
	$wp_customize->add_section(
		'oprum_display_options',
		array(
			'title'     => esc_html__( 'General Theme Options', 'oprum' ),
			'priority'  => 310
		)
	);

	/* The options: Site Title, Site Tagline, Logo image
	 * added to title_tagline default section
	 */

	/* Logo Image */

	$wp_customize->add_setting(
		'logo_upload',
		array(
			'sanitize_callback' => 'oprum_sanitize_image',
		)
	);
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo_upload', array(
		'label' => esc_html__( 'Logo Image', 'oprum' ),
		'section' =>  'title_tagline',
		'settings' => 'logo_upload'
	) ) );

	/* Page Header */

	$wp_customize->add_setting( 
		'oprum_page_header',
		array(
			'default' => FALSE,
			'sanitize_callback' => 'oprum_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'oprum_page_header',
		array(
			'section'   => 'oprum_display_options',
			'label'     => esc_html__( 'Hide Page/Post Header', 'oprum' ),
			// 'description' => esc_html__( 'Hide Page/Post Single Header', 'oprum' ),
			'type'      => 'checkbox'
		)
	);

	/* Copyright */

	$wp_customize->add_setting(
		'oprum_copyright_text',
		array(
			'default'            => 'All Rights Reserved',
			'sanitize_callback'  => 'oprum_sanitize_txt',
			'transport'          => 'postMessage'
		)
	);
	$wp_customize->add_control(
		'oprum_copyright_text',
		array(
			'section'  => 'oprum_display_options',
			'label'    => esc_html__( 'Copyright Message', 'oprum' ),
			'type'     => 'text'
		)
	);


}

add_action( 'customize_register', 'oprum_customizer', 11 );

	/*-----------------------------------------------------------*
	 * Sanitize
	 *-----------------------------------------------------------*/
	function oprum_sanitize_textarea( $input ) {
		return wp_kses_post( force_balance_tags($input) );
	}
	function oprum_sanitize_txt( $input ) {
		return strip_tags( stripslashes( $input ) );
	}
	function oprum_sanitize_checkbox( $value ) {
        		if ( 'on' != $value )
        			    $value = false;

        		return $value;
    	}
	function oprum_sanitize_css( $input ) {
		return wp_strip_all_tags( $input );
	}
	function oprum_sanitize_image( $image, $setting ) {

		// Array of valid image file types.
    		$mimes = array(
    		    'jpg|jpeg|jpe' => 'image/jpeg',
    		    'gif'          => 'image/gif',
    		    'png'          => 'image/png',
    		    'bmp'          => 'image/bmp',
    		    'tif|tiff'     => 'image/tiff',
    		    'ico'          => 'image/x-icon'
    		);

		// Return an array with file extension and mime_type.
    		$file = wp_check_filetype( $image, $mimes );

		// If $image has a valid mime_type, return it
    		return ( $file['ext'] ? $image : $setting->default );
	}
	function oprum_sanitize_nohtml( $nohtml ) {
		return wp_filter_nohtml_kses( $nohtml );
	}
	function oprum_sanitize_number_absint( $number, $setting ) {
		// Ensure $number is an absolute integer (whole number, zero or greater).
		$number = absint( $number );
	
		// If the input is an absolute integer, return it
		return ( $number ? $number : $setting->default );
	}

	/*-----------------------------------------------------------*
	 * Styles print
	 *-----------------------------------------------------------*/
	function oprum_customizer_css() { ?>
<!--Customize CSS -->
<style type="text/css">
.site-branding, home-tagline { background-color: <?php echo esc_attr( get_option( 'oprum_header_bgcolor', '#E65656' ) ); ?>; }
#home-tagline h1 { color: <?php echo esc_attr( get_option( 'oprum_header_bgcolor', '#E65656' ) ); ?>; }
a, link, a:visited, .site-content .entry-title a { color: <?php echo esc_attr( get_option( 'oprum_link_color', '#3767c6' ) ); ?>; }
a:hover, .site-footer a:hover { color: <?php echo esc_attr( get_option( 'oprum_link_hover_color', '#E65656' ) ); ?>; }
body, .entry-content { color: <?php echo esc_attr( get_option( 'oprum_main_color', '#2c2c2c' ) ); ?>; }
#home-txt span { border-color: <?php echo esc_attr( get_option( 'oprum_main_color', '#2c2c2c' ) ); ?>; }
.page-header, .entry-header p, .comment-content p, .widget-area { color: <?php echo esc_attr( get_option( 'oprum_secondary_color', '#444444' ) ); ?>; }
.page-header, .single footer.entry-meta { border-color: <?php echo esc_attr( get_option( 'oprum_additional_color', '#444444' ) ); ?>; }
.site-content .entry-meta, #content .entry-meta a,.author:before, .posted-on:before, .cat-links:before,
.tags-links:before, .comment-meta, label, .widget-title { color: <?php echo esc_attr( get_option( 'oprum_additional_color', '#aaaaaa' ) ); ?>; }
.main-navigation { background-color: <?php echo esc_attr( get_option( 'oprum_menubar_bgcolor', '#2c2c2c' ) ); ?>; }
.main-navigation li a { color: <?php echo esc_attr( get_option( 'oprum_menu_color', '#dddddd' ) ); ?>; }
.main-navigation li a:hover { color: <?php echo esc_attr( get_option( 'oprum_menu_hover_color', '#ffffff' ) ); ?>; }
.site-title, .site-title a, .site-description { color: #<?php echo esc_attr( get_header_textcolor() ); ?>; }
.site-footer, .site-footer a { color: <?php echo esc_attr( get_option( 'oprum_footer_color', '#cccccc' ) ); ?>; }
.site-footer { background: <?php echo esc_attr( get_option( 'oprum_footer_bgcolor', '#2c2c2c' ) ); ?>; }
.widget-title span { border-color: <?php echo esc_attr( get_option( 'oprum_additional_color', '#2c2c2c' ) ); ?>;}
h1.page-title, .comments-title, .comment-reply-title { color: <?php echo esc_attr( get_option( 'oprum_heading_color', '#2c2c2c' ) ); ?>;}
</style>

<?php
	} // oprum_customizer_css
	add_action( 'wp_head', 'oprum_customizer_css', 999 );

	/*-----------------------------------------------------------*
	 * Live Preview JS handlers
	 *-----------------------------------------------------------*/
	function oprum_customizer_live_preview() {

		wp_enqueue_script(
			'theme-customizer',
			get_template_directory_uri() . '/js/theme-customizer.js',
			array(),
			'01052016',
			true
		);

	}
	add_action( 'customize_preview_init', 'oprum_customizer_live_preview' );