// WP EDITOR plugin -----------------------------
(function ( $ ) {

	window._wpEditor = {
		init: function( id , content, settings ){
			var _id = '__wp_mce_editor__';
			var _tpl =  $( '#_wp-mce-editor-tpl').html();
			if (  typeof content === "undefined"  ){
				content = '';
			}

			if (  typeof window.tinyMCEPreInit.mceInit[ _id ]  !== "undefined" ) {

				var tmceInit = _.clone( window.tinyMCEPreInit.mceInit[_id] );
				var qtInit = _.clone( window.tinyMCEPreInit.qtInit[_id] );

				tmceInit = $.extend( tmceInit , settings.tinymce );
				qtInit   = $.extend( qtInit , settings.qtag );

				var tpl = _tpl.replace( new RegExp(_id,"g"), id );
				var template =  $( tpl );
				$( "#"+id ).replaceWith( template );
				// set content
				$( '#'+id ).val( content );

				$wrap = tinymce.$( '#wp-' + id + '-wrap' );

				tmceInit.body_class = tmceInit.body_class.replace(new RegExp(_id,"g"), id );
				tmceInit.selector   = tmceInit.selector.replace(new RegExp(_id,"g"), id );
				tmceInit.cache_suffix   = '';

				$wrap.removeClass( 'html-active').addClass( 'tmce-active' );

				tmceInit.init_instance_callback = function( editor ){

					if (  typeof settings === 'object' ) {
						if ( typeof settings.mod === 'string' && settings.mod === 'html' ){
							//console.log( settings.mod  );
							switchEditors.go( id, settings.mod );
						}
						// editor.theme.resizeTo('100%', 500);
						if( typeof settings.init_instance_callback === "function" ) {
							settings.init_instance_callback( editor );
						}

						if (settings.sync_id !== '') {
							if (typeof settings.sync_id === 'string') {
								editor.on('keyup change', function (e) {
									$('#' + settings.sync_id).val(editor.getContent() ).trigger('change');
								});
							} else {
								editor.on('keyup change', function (e) {
									settings.sync_id.val( editor.getContent() ).trigger('change');
								});
							}

							$( 'textarea#'+id ).on( 'keyup change', function(){
								var v =  $( this).val();
								if ( typeof settings.sync_id === 'string' ) {
									$('#' + settings.sync_id).val( v ).trigger('change');
								} else {
									settings.sync_id.val( v ).trigger('change');
								}
							} );


						}
					}
				};

				tinyMCEPreInit.mceInit[ id ] = tmceInit;

				qtInit.id = id;
				tinyMCEPreInit.qtInit[ id ] = qtInit;

				if ( $wrap.hasClass( 'tmce-active' ) || ! tinyMCEPreInit.qtInit.hasOwnProperty( id )  ) {
					tinymce.init( tmceInit );
					if ( ! window.wpActiveEditor ) {
						window.wpActiveEditor = id;
					}
				}

				if ( typeof quicktags !== 'undefined' ) {

					/**
					 * Reset quicktags
					 * This is crazy condition
					 * Maybe this is a bug ?
					 * see wp-includes/js/quicktags.js line 252
					 */
					if( QTags.instances['0'] ) {
						QTags.instances['0'] =  false;
					}
					quicktags( qtInit );
					if ( ! window.wpActiveEditor ) {
						window.wpActiveEditor = id;
					}

				}

			}
		},

		sync: function(){
			//
		},

		remove: function( id ){
			var content = '';
			var editor = false;
			if ( editor = tinymce.get(id) ) {
				content = editor.getContent();
				editor.remove();
			} else {
				content = $( '#'+id ).val();
			}

			if ( $( '#wp-' + id + '-wrap').length > 0 ) {
				window._wpEditorBackUp = window._wpEditorBackUp || {};
				if (  typeof window._wpEditorBackUp[ id ] !== "undefined" ) {
					$( '#wp-' + id + '-wrap').replaceWith( window._wpEditorBackUp[ id ] );
				}
			}

			$( '#'+id ).val( content );
		}

	};


	$.fn.wp_js_editor = function( options ) {

		// This is the easiest way to have default options.
		if ( options !== 'remove' ) {
			options = $.extend({
				sync_id: "", // sync to another text area
				tinymce: {}, // tinymce setting
				qtag:    {}, // quick tag settings
				mod:    '', // quick tag settings
				init_instance_callback: function(){} // quick tag settings
			}, options );
		} else{
			options =  'remove';
		}

		return this.each( function( ) {
			var edit_area  =  $( this );
			edit_area.uniqueId();
			// Make sure edit area have a id attribute
			var id =  edit_area.attr( 'id' ) || '';
			if ( id === '' ){
				return ;
			}

			if ( 'remove' !== options ) {
				if ( ! options.mod  ){
					options.mod = edit_area.attr( 'data-editor-mod' ) || '';
				}

				window._wpEditorBackUp = window._wpEditorBackUp || {};
				window._wpEditorBackUp[ id ] =  edit_area;
				window._wpEditor.init( id, edit_area.val(), options );
			} else {
				window._wpEditor.remove( id );
			}

		});

	};

}( jQuery ));




// WP EDITOR Customizer -----------------------------

( function( api , $ ) {
	api.controlConstructor['wp_editor'] = api.Control.extend( {
		ready: function() {
			var control = this;
			control.editing_area = $( '.wp-js-editor-textarea' , control.container );
			control.editing_area.uniqueId();
			control.editing_id = control.editing_area.attr( 'id' ) || '';
			control.editor_id = 'wpe-for-'+control.editing_id;
			control.preview = $( '<div id="preview-'+control.editing_id+'" class="wp-js-editor-preview"></div>');
			control.editing_editor = $( '<div id="wrap-'+control.editing_id+'" class="modal-wp-js-editor"><textarea id="'+control.editor_id+'"></textarea></div>');
			var content = control.editing_area.val();
			// Load default value
			$( 'textarea', control.editing_editor).val( content );
			control.preview.html( content );

			$( 'body' ).on( 'click', '#customize-controls, .customize-section-back', function( e ) {
				if ( ! $( e.target ).is( control.preview ) ) {
					/// e.preventDefault(); // Keep this AFTER the key filter above
					control.editing_editor.removeClass( 'wpe-active' );
					$( '.wp-js-editor-preview').removeClass( 'wpe-focus');
				}
			} );

			control._init();

			$( window ) .on( 'resize', function(){
				control._resize();
			} );

		},

		_init: function(  ){

			var control = this;
			$( 'body .wp-full-overlay').append( control.editing_editor );

			$( 'textarea',  control.editing_editor).attr(  'data-editor-mod', ( control.editing_area.attr( 'data-editor-mod' ) || '' ) ) .wp_js_editor( {
				sync_id: control.editing_area,
				init_instance_callback: function( editor ){
					var w =  $( '#wp-'+control.editor_id+ '-wrap' );
					$( '.wp-editor-tabs', w).append( '<button class="wp-switch-editor close-wp-editor"  type="button"><span class="dashicons dashicons-no-alt"></span></button>' );
					w.on( 'click', '.close-wp-editor', function( e ) {
						e.preventDefault();
						control.editing_editor.removeClass( 'wpe-active' );
						$( '.wp-js-editor-preview').removeClass( 'wpe-focus');
					} );
				}
			} );
			control.editing_area.on( 'change', function() {
				control.preview.html( $( this).val() );
			});

			control.preview.on( 'click', function( e ){
				$( '.modal-wp-js-editor').removeClass( 'wpe-active' );
				control.editing_editor.toggleClass( 'wpe-active' );
				tinyMCE.get( control.editor_id ).focus();
				control.preview.addClass( 'wpe-focus' );
				control._resize();
				return false;
			} );

			control.container.find( '.wp-js-editor').addClass( 'wp-js-editor-active' );
			control.preview.insertBefore( control.editing_area );
			control.container.on( 'click', '.wp-js-editor-preview', function( e ){
				e.preventDefault();
			} );

		},

		_resize: function(){
			var control = this;
			var w =  $( '#wp-'+control.editor_id+ '-wrap' );
			var height = $( window ).height();
			var tb_h = $( '.mce-toolbar-grp',  w).eq(0).height();
			tb_h += $( '.wp-editor-tools', w ).eq(0).height();
			tb_h += 80;
			var width = $( window ).width();
			var editor = tinymce.get( control.editor_id );
			if ( width > 700 ) {
				if ( width - 301 > 500 ) {
					control.editing_editor.width( '' );
				} else {
					control.editing_editor.width( width - 330 );
				}
				editor.theme.resizeTo('100%', height - tb_h );
			} else {
				control.editing_editor.width( '' );
				editor.theme.resizeTo('100%', height- ( tb_h + 150 ) );
			}
		}

	} );

} )( wp.customize, jQuery );