/**
 * Make Theme Customizer preview reload changes asynchronously for a better user experience.
 */
( function( $ ) {
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.title-group' ).css( {
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				} );
			} else {
				$( '.title-group a, .title-group' ).css( {
					'clip': 'auto',
					'color': to,
					'position': 'relative'
				} );
			}
		} );
	}); 
    	wp.customize('oprum_home_headline',function( value ) {
        		value.bind(function(to) {
        		    $('#home-tagline .tagline-txt').html(to);
        		});
    	});
    	wp.customize('oprum_frontpage_subtitle',function( value ) {
    		    value.bind(function(to) {
    		        $('#home-txt').html(to);
    		    });
    	});
    	wp.customize('oprum_callout_text',function( value ) {
        		value.bind(function(to) {
            			$('#callaction div.call-action-txt span').html(to);
        		});
    	});
    	wp.customize('oprum_copyright_text',function( value ) {
        		value.bind(function(to) {
            			$('#footer-copyright').html(to);
        		});
    	});
// end
})( jQuery );
